"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/*
 * @Description: 折线图
 * @Author: li.kexin
 * @Date: 2021-05-14 14:06:07
 */
var lodash_1 = tslib_1.__importDefault(require("lodash"));
// @ts-ignore
var g2plot_1 = require("@antv/g2plot");
var defaultConfig = {
    xField: "type",
    yField: "sales",
    label: {
        // 可手动配置 label 数据标签位置
        position: "middle",
        // 配置样式
        style: {
            fill: "#FFFFFF",
            opacity: 0.6,
        },
    },
    xAxis: {
        label: {
            autoHide: false,
            autoRotate: true,
        },
    },
};
var changeData = function (data, config) {
    return tslib_1.__assign({ data: data }, lodash_1.default.merge(defaultConfig, config));
};
var AnyLine = /** @class */ (function (_super) {
    tslib_1.__extends(AnyLine, _super);
    function AnyLine(container, data, config) {
        return _super.call(this, container, changeData(data, config)) || this;
    }
    return AnyLine;
}(g2plot_1.Line));
exports.default = AnyLine;
//# sourceMappingURL=index.js.map