import * as tslib_1 from "tslib";
/*
 * @Description: 柱状图
 * @Author: li.kexin
 * @Date: 2021-05-14 14:06:07
 */
import _ from "lodash";
// @ts-ignore
import { Column } from "@antv/g2plot/lib/plots/column";
var defaultConfig = {
    xField: "type",
    yField: "sales",
    label: {
        // 可手动配置 label 数据标签位置
        position: "middle",
        // 配置样式
        style: {
            fill: "#FFFFFF",
            opacity: 0.6,
        },
    },
    xAxis: {
        label: {
            autoHide: false,
            autoRotate: true,
        },
    },
};
var changeData = function (data, config) {
    return tslib_1.__assign({ data: data }, _.merge(defaultConfig, config));
};
var AnyBar = /** @class */ (function (_super) {
    tslib_1.__extends(AnyBar, _super);
    function AnyBar(container, data, config) {
        return _super.call(this, container, changeData(data, config)) || this;
    }
    return AnyBar;
}(Column));
export default AnyBar;
//# sourceMappingURL=index.js.map